Skip to main content
GET
/
virtual_accounts
List virtual accounts
curl --request GET \
  --url https://api.withacclaim.com/v1/virtual_accounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "va_2mQh9T4XyZ",
      "deposit_to_id": "tac_b0TrsSg91h",
      "country": "US",
      "currency": "USD",
      "bank_name": "Acme Bank N.A.",
      "status": "Active",
      "created_at": "2025-10-08T18:20:31Z"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string
treasury_account_id
string

Filter virtual accounts by the owning treasury account.

currency
string

ISO 4217 currency code to filter by.

Response

A list of virtual accounts.

data
object[]
next_cursor
string | null
has_more
boolean
Last modified on April 14, 2026